Online Now  

/v1/portfolio/

Manages all portfolio related functions
GET

/v1/portfolio/get_last_order_list_id

#
Returns the order list that has been used last by the api user
Request example (cURL)
curl --get \
  'https://ca.appointmenttrader.com/v1/portfolio/get_last_order_list_id' \
  --data-urlencode 'key={{API_KEY}}'

Returns

JSON
See the shared response schema and synthetic example.
Response fields
FieldTypeRequiredDescription
$portfolio_get_last_order_list_id_Response Yes
$.oneOf[0] Yes
$.oneOf[0].allOf[0]object Yes
$.oneOf[0].allOf[0].RequestUserAliasstring Yes
$.oneOf[0].allOf[0].RequestPathstring | null Yes
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Yes
$.oneOf[0].allOf[0].ResponseCodeinteger Yes
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Yes
$.oneOf[0].allOf[1].Payloadstring Yes
$.oneOf[1]object Yes
$.oneOf[1].RequestUserAliasstring Yes
$.oneOf[1].RequestPathstring | null Yes
$.oneOf[1].RequestStatus = "Failed" Yes
$.oneOf[1].ResponseCodeinteger Yes
$.oneOf[1].ResponseMessageAPIResponseMessage Yes
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Yes
$.oneOf[1].ResponseMessage.oneOf[1]array Yes
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Yes
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Response example
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/portfolio/get_last_order_list_id",
    "RequestUserAlias": "example-user",
    "Payload": "00000000-0000-4000-8000-000000900001"
}
Machine-readable endpoint documentation
GET

/v1/portfolio/get_listings

#
Returns all listings in the users portfolio.

Parameters

NameTypeRequiredDefaultDescription
getPopularityScoreBracket bool No false if true, the popularity score for all listings will be returned
dateTimeRangeStart string No "" Time Range Start Date, will be ignored if empty format: YYYY-MM-DD HH:MM:SS
dateTimeRangeEnd string No "" Time Range End Date, will be ignored if empty format: YYYY-MM-DD HH:MM:SS
Request example (cURL)
curl --get \
  'https://ca.appointmenttrader.com/v1/portfolio/get_listings' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'getPopularityScoreBracket={{getPopularityScoreBracket}}' \
  --data-urlencode 'dateTimeRangeStart={{dateTimeRangeStart}}' \
  --data-urlencode 'dateTimeRangeEnd={{dateTimeRangeEnd}}'

Returns

JSON
See the shared response schema and synthetic example.
Response fields
FieldTypeRequiredDescription
$portfolio_get_listings_Response Yes
$.oneOf[0] Yes
$.oneOf[0].allOf[0]object Yes
$.oneOf[0].allOf[0].RequestUserAliasstring Yes
$.oneOf[0].allOf[0].RequestPathstring | null Yes
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Yes
$.oneOf[0].allOf[0].ResponseCodeinteger Yes
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Yes
$.oneOf[0].allOf[1].Payloadobject Yes
$.oneOf[0].allOf[1].Payload.Name = "Portfolio Listing Items" Yes
$.oneOf[0].allOf[1].Payload.MetaInformation = [] Yes
$.oneOf[0].allOf[1].Payload.KeyValueListarray Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[]object No
$.oneOf[0].allOf[1].Payload.KeyValueList[].Namestring ["AppointmentDrafts","ApprovedAppointments","PrivateAppointments","UnlockedAppointments","SubmittedListings_Rejections","SubmittedListings_InReview","SubmittedListings_WaitingForReview"] Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].MetaInformationobject Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].MetaInformation.ListingCountinteger Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueListarray Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[]object No
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingIDstring | null Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].locationAliasstring Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].locationIDDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].locationID.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].locationID.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingRespondByTime Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingRespondByTime.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingRespondByTime.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].locationCitySlug Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].locationCitySlug.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].locationCitySlug.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].creatorUserAlias Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].creatorUserAlias.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].creatorUserAlias.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].inventoryTypeIDDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].inventoryTypeID.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].inventoryTypeID.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].inventoryTypeName Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].inventoryTypeName.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].inventoryTypeName.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingDatestring Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingTimestring Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingStartHourDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingStartHour.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingStartHour.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingCurrentAskingPriceDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingCurrentAskingPrice.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingCurrentAskingPrice.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].bid-communityPostID Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].bid-communityPostID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].bid-communityPostID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].bid-communityPostID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].bid-communityPostID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingDetailStatementstring Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingStatusstring Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingPublicConfirmationNumberstring Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].orderListID Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].orderListID.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].orderListID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingPopularityScoreBracket No
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingPopularityScoreBracket.anyOf[0]number No
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingPopularityScoreBracket.anyOf[1]string No
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingPopularityScoreBracket.anyOf[2]null No
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingViewsOneDayDatabaseInteger NoInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingViewsOneDay.oneOf[0]integer No
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingViewsOneDay.oneOf[1]string No
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingViewsAllTimeDatabaseInteger NoInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingViewsAllTime.oneOf[0]integer No
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingViewsAllTime.oneOf[1]string No
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueFieldListarray Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueFieldList[]string No
$.oneOf[0].allOf[1].Payload.KeyValueFieldList = [] Yes
$.oneOf[1]object Yes
$.oneOf[1].RequestUserAliasstring Yes
$.oneOf[1].RequestPathstring | null Yes
$.oneOf[1].RequestStatus = "Failed" Yes
$.oneOf[1].ResponseCodeinteger Yes
$.oneOf[1].ResponseMessageAPIResponseMessage Yes
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Yes
$.oneOf[1].ResponseMessage.oneOf[1]array Yes
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Yes
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Response example
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/portfolio/get_listings",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Name": "Portfolio Listing Items",
        "MetaInformation": [],
        "KeyValueList": [],
        "KeyValueFieldList": []
    }
}
Machine-readable endpoint documentation
GET

/v1/portfolio/get_my_appointments_grouped_by_city

#
Returns the authenticated viewer's appointments grouped by city, with separate counts for upcoming (Date >= today) and past (Date < today) rows. Powers the v2 sidebar's "My Bookings" block. Each group carries the city's IATA-style group code, display name, and emoji from ATAirport (joined via ATLocation.ATAirport_CityGroupCode, which is a denormalized cache column on ATLocation — no extra join to ATAirport in the count query). Filters applied (always): - CurrentOwner-ATUser_ID = the authenticated viewer (self-only; no peer-user param by design). - DeletedDate IS NULL on ATAppointment and ATLocation. - Status is one of the active My Bookings appointment states returned by Appointment::GetMyPlansAppointmentStatuses(). - ATAirport_CityGroupCode populated (rows without a city are dropped silently — they cannot be grouped meaningfully). Sort: groups are returned in the requested order. "upcoming" puts cities with the most upcoming appointments first (ties broken by total count). "name" sorts alphabetically by city display name.

Parameters

NameTypeRequiredDefaultDescription
sortBy string No "upcoming" Sort mode: "upcoming" (default) or "name".
Request example (cURL)
curl --get \
  'https://ca.appointmenttrader.com/v1/portfolio/get_my_appointments_grouped_by_city' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'sortBy={{sortBy}}'

Returns

JSON
See the shared response schema and synthetic example.
Response fields
FieldTypeRequiredDescription
$portfolio_get_my_appointments_grouped_by_city_Response Yes
$.oneOf[0] Yes
$.oneOf[0].allOf[0]object Yes
$.oneOf[0].allOf[0].RequestUserAliasstring Yes
$.oneOf[0].allOf[0].RequestPathstring | null Yes
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Yes
$.oneOf[0].allOf[0].ResponseCodeinteger Yes
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Yes
$.oneOf[0].allOf[1].Payloadarray Yes
$.oneOf[0].allOf[1].Payload[]object No
$.oneOf[0].allOf[1].Payload[].cityCodestring Yes
$.oneOf[0].allOf[1].Payload[].cityNamestring Yes
$.oneOf[0].allOf[1].Payload[].emojistring Yes
$.oneOf[0].allOf[1].Payload[].citySlugstring Yes
$.oneOf[0].allOf[1].Payload[].upcomingCountinteger Yes
$.oneOf[0].allOf[1].Payload[].pastCountinteger Yes
$.oneOf[1]object Yes
$.oneOf[1].RequestUserAliasstring Yes
$.oneOf[1].RequestPathstring | null Yes
$.oneOf[1].RequestStatus = "Failed" Yes
$.oneOf[1].ResponseCodeinteger Yes
$.oneOf[1].ResponseMessageAPIResponseMessage Yes
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Yes
$.oneOf[1].ResponseMessage.oneOf[1]array Yes
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Yes
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Response example
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/portfolio/get_my_appointments_grouped_by_city",
    "RequestUserAlias": "example-user",
    "Payload": []
}
Machine-readable endpoint documentation
GET

/v1/portfolio/get_my_calendar_items

#
Returns every time-bound item belonging to the viewer that falls in the window [from, to], normalized into the CalendarItem shape consumed by /modules/v2/travel_plans/?view=calendar. P1 covers bids and appointments — the two types backed by an existing per-user fetcher. Location events, transactions, livestreams and contract deadlines plug in as additional foreach-blocks once their helpers exist (see CALENDAR_DESIGN.md §5).

Parameters

NameTypeRequiredDefaultDescription
from string Yes — inclusive lower bound, format YYYY-MM-DD
to string Yes — inclusive upper bound, format YYYY-MM-DD
types array No [] optional allowlist of item types, e.g. ['listing','bid','appointment','sold']
limit int No 500 cap on total items returned after merge
Request example (cURL)
curl --get \
  'https://ca.appointmenttrader.com/v1/portfolio/get_my_calendar_items' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'from={{from}}' \
  --data-urlencode 'to={{to}}' \
  --data-urlencode 'types={{types}}' \
  --data-urlencode 'limit={{limit}}'

Returns

JSON
See the shared response schema and synthetic example.
Parameters: types
FieldTypeRequiredDescription
typesstring (application/json) NoJSON-encoded array. Empty includes every implemented source. event, transaction, livestream and contract currently return no items.
typesarray (decoded JSON) No
types[]string ["listing","bid","appointment","sold","event","transaction","livestream","contract"] No
Response fields
FieldTypeRequiredDescription
$portfolio_get_my_calendar_items_Response Yes
$.oneOf[0] Yes
$.oneOf[0].allOf[0]object Yes
$.oneOf[0].allOf[0].RequestUserAliasstring Yes
$.oneOf[0].allOf[0].RequestPathstring | null Yes
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Yes
$.oneOf[0].allOf[0].ResponseCodeinteger Yes
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Yes
$.oneOf[0].allOf[1].Payloadobject Yes
$.oneOf[0].allOf[1].Payload.itemsarray Yes
$.oneOf[0].allOf[1].Payload.items[]MyCalendarItem No
$.oneOf[0].allOf[1].Payload.items[].oneOf[0]object No
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].idstring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].titlestring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].startDatestring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].endDatestring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].urlstring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].colorTokenstring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].startTime Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].startTime.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].startTime.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].endTime Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].endTime.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].endTime.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].isAllDayboolean Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].cityobject Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].city.namestring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].city.slugstring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].locationobject Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].location.namestring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].sourceIDinteger Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].type = "bid" Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].status = "pending" Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].ownerRole = "buyer" Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].discussionPostIDinteger Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].discussionURLstring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1]object No
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].idstring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].titlestring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].startDatestring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].endDatestring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].urlstring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].colorTokenstring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].startTime Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].startTime.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].startTime.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].endTime Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].endTime.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].endTime.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].isAllDayboolean Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].cityobject Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].city.namestring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].city.slugstring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].locationobject Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].location.namestring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].sourceIDinteger Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].typestring ["appointment","listing"] Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].statusstring ["confirmed","listed"] Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].ownerRolestring ["owner","shared"] Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].listingUUIDstring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].listingIDstring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].hintstring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2]object No
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].idstring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].titlestring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].startDatestring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].endDatestring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].urlstring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].colorTokenstring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].startTime Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].startTime.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].startTime.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].endTime Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].endTime.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].endTime.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].isAllDayboolean Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].cityobject Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].city.namestring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].city.slugstring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].locationobject Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].location.namestring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].sourceIDinteger Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].type = "sold" Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].status = "sold" Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].ownerRole = "seller" Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].saleTypestring ["request_filled","listing_sold"] Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].transactionIDinteger Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].appointmentIDinteger Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].bidIDinteger Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].amountCentsinteger Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].amountLabelstring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].hintstring Yes
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].buyerIdentityHiddenboolean No
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].buyerIdentityHiddenUntil No
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].buyerIdentityHiddenUntil.anyOf[0]integer No
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].buyerIdentityHiddenUntil.anyOf[1]null No
$.oneOf[0].allOf[1].Payload.metaobject Yes
$.oneOf[0].allOf[1].Payload.meta.fromstring Yes
$.oneOf[0].allOf[1].Payload.meta.tostring Yes
$.oneOf[0].allOf[1].Payload.meta.countsobject Yes
$.oneOf[0].allOf[1].Payload.meta.counts.listinginteger Yes
$.oneOf[0].allOf[1].Payload.meta.counts.bidinteger Yes
$.oneOf[0].allOf[1].Payload.meta.counts.appointmentinteger Yes
$.oneOf[0].allOf[1].Payload.meta.counts.soldinteger Yes
$.oneOf[0].allOf[1].Payload.meta.counts.event = 0 Yes
$.oneOf[0].allOf[1].Payload.meta.counts.transaction = 0 Yes
$.oneOf[0].allOf[1].Payload.meta.counts.livestream = 0 Yes
$.oneOf[0].allOf[1].Payload.meta.counts.contract = 0 Yes
$.oneOf[0].allOf[1].Payload.meta.generatedAtstring Yes
$.oneOf[1]object Yes
$.oneOf[1].RequestUserAliasstring Yes
$.oneOf[1].RequestPathstring | null Yes
$.oneOf[1].RequestStatus = "Failed" Yes
$.oneOf[1].ResponseCodeinteger Yes
$.oneOf[1].ResponseMessageAPIResponseMessage Yes
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Yes
$.oneOf[1].ResponseMessage.oneOf[1]array Yes
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Yes
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Response example
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/portfolio/get_my_calendar_items",
    "RequestUserAlias": "example-user",
    "Payload": {
        "items": [],
        "meta": {
            "from": "synthetic-example",
            "to": "synthetic-example",
            "counts": {
                "listing": 0,
                "bid": 0,
                "appointment": 0,
                "sold": 0,
                "event": 0,
                "transaction": 0,
                "livestream": 0,
                "contract": 0
            },
            "generatedAt": "synthetic-example"
        }
    }
}
Machine-readable endpoint documentation
GET

/v1/portfolio/get_my_travel_plan_archived

#
Archived travel plans for the v2 "My Bookings" archive view. Returns a newest-first list of the viewer's archived appointments, each carrying the city payload used by the normal My Bookings landing page.

Parameters

NameTypeRequiredDefaultDescription
limit int No 25 Maximum archived plans to include.
offset int No 0 Number of archived plans to skip.
Request example (cURL)
curl --get \
  'https://ca.appointmenttrader.com/v1/portfolio/get_my_travel_plan_archived' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'limit={{limit}}' \
  --data-urlencode 'offset={{offset}}'

Returns

JSON
See the shared response schema and synthetic example.
Response fields
FieldTypeRequiredDescription
$portfolio_get_my_travel_plan_archived_Response Yes
$.oneOf[0] Yes
$.oneOf[0].allOf[0]object Yes
$.oneOf[0].allOf[0].RequestUserAliasstring Yes
$.oneOf[0].allOf[0].RequestPathstring | null Yes
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Yes
$.oneOf[0].allOf[0].ResponseCodeinteger Yes
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Yes
$.oneOf[0].allOf[1].Payloadobject Yes
$.oneOf[0].allOf[1].Payload.itemsarray Yes
$.oneOf[0].allOf[1].Payload.items[]object No
$.oneOf[0].allOf[1].Payload.items[].kind = "appointment" Yes
$.oneOf[0].allOf[1].Payload.items[].sortDatestring Yes
$.oneOf[0].allOf[1].Payload.items[].dataobject Yes
$.oneOf[0].allOf[1].Payload.items[].data.IDDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ID.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.items[].data.ID.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.ListingUUID Yes
$.oneOf[0].allOf[1].Payload.items[].data.ListingUUID.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.ListingUUID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].data.RespondByTime Yes
$.oneOf[0].allOf[1].Payload.items[].data.RespondByTime.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.RespondByTime.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationInventoryType_IDDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationInventoryType_ID.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationInventoryType_ID.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.CreatedDatestring Yes
$.oneOf[0].allOf[1].Payload.items[].data.LastUpdateDatestring Yes
$.oneOf[0].allOf[1].Payload.items[].data.Datestring Yes
$.oneOf[0].allOf[1].Payload.items[].data.Timestring Yes
$.oneOf[0].allOf[1].Payload.items[].data.Cache-StartHourDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.Cache-StartHour.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.items[].data.Cache-StartHour.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.Status = "Archived" Yes
$.oneOf[0].allOf[1].Payload.items[].data.Creator-ATUser_IDDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.Creator-ATUser_ID.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.items[].data.Creator-ATUser_ID.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.Cache-CurrentAskingPriceDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.Cache-CurrentAskingPrice.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.items[].data.Cache-CurrentAskingPrice.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.TransferTypestring Yes
$.oneOf[0].allOf[1].Payload.items[].data.AccessCode Yes
$.oneOf[0].allOf[1].Payload.items[].data.AccessCode.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.AccessCode.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].data.CurrentOwner-ATUser_IDDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.CurrentOwner-ATUser_ID.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.items[].data.CurrentOwner-ATUser_ID.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.LastTransferServiceFee-ATAccountsLedger_ID Yes
$.oneOf[0].allOf[1].Payload.items[].data.LastTransferServiceFee-ATAccountsLedger_ID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.LastTransferServiceFee-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.items[].data.LastTransferServiceFee-ATAccountsLedger_ID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.LastTransferServiceFee-ATAccountsLedger_ID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].data.LatestTransfer-ATNotificationIntelligentTags_ID Yes
$.oneOf[0].allOf[1].Payload.items[].data.LatestTransfer-ATNotificationIntelligentTags_ID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.LatestTransfer-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.items[].data.LatestTransfer-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.LatestTransfer-ATNotificationIntelligentTags_ID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATNotificationIntelligentTags_ID Yes
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATNotificationIntelligentTags_ID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATNotificationIntelligentTags_ID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].data.SellerCustomerChat-ATNotificationIntelligentTags_ID Yes
$.oneOf[0].allOf[1].Payload.items[].data.SellerCustomerChat-ATNotificationIntelligentTags_ID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.SellerCustomerChat-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.items[].data.SellerCustomerChat-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.SellerCustomerChat-ATNotificationIntelligentTags_ID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].data.NoShow-ATAccountsLedger_ID Yes
$.oneOf[0].allOf[1].Payload.items[].data.NoShow-ATAccountsLedger_ID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.NoShow-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.items[].data.NoShow-ATAccountsLedger_ID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.NoShow-ATAccountsLedger_ID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATAccountsLedger_ID Yes
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATAccountsLedger_ID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATAccountsLedger_ID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATAccountsLedger_ID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].data.LocationNamestring Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_IDDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_ID.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_ID.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.Aliasstring Yes
$.oneOf[0].allOf[1].Payload.items[].data.Timezonestring Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_Aliasstring Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_Namestring Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_CloseByCitySlug Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_CloseByCitySlug.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_CloseByCitySlug.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_Citystring Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_CityGroupCode Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_CityGroupCode.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_CityGroupCode.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_AppointmentTypeDescriptionstring Yes
$.oneOf[0].allOf[1].Payload.items[].data.AppointmentDescriptorstring Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_AllowTransferServiceAddOnDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_AllowTransferServiceAddOn.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_AllowTransferServiceAddOn.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_TimeRangeUnitstring Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_StandardTransferFeeBasisPointsDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_StandardTransferFeeBasisPoints.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_StandardTransferFeeBasisPoints.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_LegacyTransferServiceFeeBasisPointsDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_LegacyTransferServiceFeeBasisPoints.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_LegacyTransferServiceFeeBasisPoints.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationInventoryType_Name Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationInventoryType_Name.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationInventoryType_Name.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].data.Headcount Yes
$.oneOf[0].allOf[1].Payload.items[].data.Headcount.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.Headcount.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.items[].data.Headcount.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.Headcount.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].data.Price Yes
$.oneOf[0].allOf[1].Payload.items[].data.Price.anyOf[0]DatabaseNumber YesNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.items[].data.Price.anyOf[0].oneOf[0]number Yes
$.oneOf[0].allOf[1].Payload.items[].data.Price.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.Price.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATOrderLists_ID Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATOrderLists_ID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATOrderLists_ID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATOrderLists_ID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATOrderLists_ID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATTransaction_ID Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATTransaction_ID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATTransaction_ID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATTransaction_ID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATTransaction_ID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATBids_ID Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATBids_ID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATBids_ID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATBids_ID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATBids_ID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATDiscussionPosts_ID Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATDiscussionPosts_ID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATDiscussionPosts_ID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATDiscussionPosts_ID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.ATDiscussionPosts_ID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].data.MyPlansAccessRolestring ["owner","shared"] Yes
$.oneOf[0].allOf[1].Payload.items[].data.CategoryReview-ATDiscussionBoards_ID_TraderPointsPerThread Yes
$.oneOf[0].allOf[1].Payload.items[].data.CategoryReview-ATDiscussionBoards_ID_TraderPointsPerThread.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.CategoryReview-ATDiscussionBoards_ID_TraderPointsPerThread.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].data.LocationReview-ATDiscussionBoards_ID_TraderPointsPerThread Yes
$.oneOf[0].allOf[1].Payload.items[].data.LocationReview-ATDiscussionBoards_ID_TraderPointsPerThread.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.LocationReview-ATDiscussionBoards_ID_TraderPointsPerThread.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].data.DetailStatement Yes
$.oneOf[0].allOf[1].Payload.items[].data.DetailStatement.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.DetailStatement.anyOf[1] = false Yes
$.oneOf[0].allOf[1].Payload.items[].data.dateLabelstring Yes
$.oneOf[0].allOf[1].Payload.items[].data.timeLabelstring Yes
$.oneOf[0].allOf[1].Payload.items[].data.imageUrlstring Yes
$.oneOf[0].allOf[1].Payload.items[].data.imageURL256string Yes
$.oneOf[0].allOf[1].Payload.items[].data.imageURL512string Yes
$.oneOf[0].allOf[1].Payload.items[].data.primaryColorstring Yes
$.oneOf[0].allOf[1].Payload.items[].data.textColorstring Yes
$.oneOf[0].allOf[1].Payload.items[].data.lastListedPriceHistoryIDinteger No
$.oneOf[0].allOf[1].Payload.items[].data.lastListedAmountCentsinteger No
$.oneOf[0].allOf[1].Payload.items[].data.lastListedAmountLabelstring No
$.oneOf[0].allOf[1].Payload.items[].data.lastListedAtstring No
$.oneOf[0].allOf[1].Payload.items[].data.lastListedDateLabelstring No
$.oneOf[0].allOf[1].Payload.items[].data.MyPlansArchivedDate Yes
$.oneOf[0].allOf[1].Payload.items[].data.MyPlansArchivedDate.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.items[].data.MyPlansArchivedDate.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].cityobject Yes
$.oneOf[0].allOf[1].Payload.items[].city.codestring Yes
$.oneOf[0].allOf[1].Payload.items[].city.namestring Yes
$.oneOf[0].allOf[1].Payload.items[].city.emoji Yes
$.oneOf[0].allOf[1].Payload.items[].city.emoji.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.items[].city.emoji.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.items[].city.slugstring Yes
$.oneOf[0].allOf[1].Payload.items[].city.imageURL256string Yes
$.oneOf[0].allOf[1].Payload.items[].city.imageURL512string Yes
$.oneOf[0].allOf[1].Payload.pageobject Yes
$.oneOf[0].allOf[1].Payload.page.limitinteger Yes
$.oneOf[0].allOf[1].Payload.page.offsetinteger Yes
$.oneOf[0].allOf[1].Payload.page.returnedinteger Yes
$.oneOf[0].allOf[1].Payload.page.hasMoreboolean Yes
$.oneOf[0].allOf[1].Payload.page.nextOffsetinteger Yes
$.oneOf[1]object Yes
$.oneOf[1].RequestUserAliasstring Yes
$.oneOf[1].RequestPathstring | null Yes
$.oneOf[1].RequestStatus = "Failed" Yes
$.oneOf[1].ResponseCodeinteger Yes
$.oneOf[1].ResponseMessageAPIResponseMessage Yes
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Yes
$.oneOf[1].ResponseMessage.oneOf[1]array Yes
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Yes
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Response example
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/portfolio/get_my_travel_plan_archived",
    "RequestUserAlias": "example-user",
    "Payload": {
        "items": [],
        "page": {
            "limit": 1,
            "offset": 0,
            "returned": 0,
            "hasMore": false,
            "nextOffset": 0
        }
    }
}
Machine-readable endpoint documentation
GET

/v1/portfolio/get_my_travel_plan_detail

#
Per-city travel plan detail — the v2 city detail page's data source. Returns the city's display data plus the viewer's appointments and active bids in that city. Appointment windows: upcoming = from two calendar days ago onward, past = before today, archived = archived plans. The recent cutoff uses the app timezone; approved reservations retain their existing 48-hour visibility rule. Active bids and seller-sold reservations retain their existing current/future windows. Locked reservation rows expose safe relisting metadata in reservationActions; reservationDetail remains false to protect booking details and exact time. Both lists are returned in the row shape that templates/portfolio/ _card_appointment.html and _card_active_bid.html expect, so the v2 page can call those partials directly with no field translation. Scale: per-user row counts are small. Both legacy library calls (`Bids::GetBidsByUserID`, `Appointment::GetAppointmentsByUserID`) scan only the user's rows; the per-city + per-window filter runs in PHP. Hard-capped at 200 rows per source.

Parameters

NameTypeRequiredDefaultDescription
cityCode string Yes — IATA-style city group code (e.g. 'NYC').
window string No "upcoming" 'upcoming' (default), 'past', or 'archived'.
Request example (cURL)
curl --get \
  'https://ca.appointmenttrader.com/v1/portfolio/get_my_travel_plan_detail' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'cityCode={{cityCode}}' \
  --data-urlencode 'window={{window}}'

Returns

JSON
See the shared response schema and synthetic example.
Response fields
FieldTypeRequiredDescription
$portfolio_get_my_travel_plan_detail_Response Yes
$.oneOf[0] Yes
$.oneOf[0].allOf[0]object Yes
$.oneOf[0].allOf[0].RequestUserAliasstring Yes
$.oneOf[0].allOf[0].RequestPathstring | null Yes
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Yes
$.oneOf[0].allOf[0].ResponseCodeinteger Yes
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Yes
$.oneOf[0].allOf[1].Payloadobject Yes
$.oneOf[0].allOf[1].Payload.cityobject Yes
$.oneOf[0].allOf[1].Payload.city.codestring Yes
$.oneOf[0].allOf[1].Payload.city.namestring Yes
$.oneOf[0].allOf[1].Payload.city.emoji Yes
$.oneOf[0].allOf[1].Payload.city.emoji.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.city.emoji.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.city.slugstring Yes
$.oneOf[0].allOf[1].Payload.city.imageURL256string Yes
$.oneOf[0].allOf[1].Payload.city.imageURL512string Yes
$.oneOf[0].allOf[1].Payload.appointmentsarray Yes
$.oneOf[0].allOf[1].Payload.appointments[]object No
$.oneOf[0].allOf[1].Payload.appointments[].IDDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ID.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.appointments[].ID.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].ListingUUID Yes
$.oneOf[0].allOf[1].Payload.appointments[].ListingUUID.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].ListingUUID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].RespondByTime Yes
$.oneOf[0].allOf[1].Payload.appointments[].RespondByTime.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].RespondByTime.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationInventoryType_IDDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationInventoryType_ID.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationInventoryType_ID.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].CreatedDatestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].LastUpdateDatestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].Datestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].Timestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].Cache-StartHourDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].Cache-StartHour.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.appointments[].Cache-StartHour.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].Statusstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].Creator-ATUser_IDDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].Creator-ATUser_ID.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.appointments[].Creator-ATUser_ID.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].Cache-CurrentAskingPriceDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].Cache-CurrentAskingPrice.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.appointments[].Cache-CurrentAskingPrice.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].TransferTypestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].AccessCode Yes
$.oneOf[0].allOf[1].Payload.appointments[].AccessCode.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].AccessCode.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].CurrentOwner-ATUser_IDDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].CurrentOwner-ATUser_ID.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.appointments[].CurrentOwner-ATUser_ID.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].LastTransferServiceFee-ATAccountsLedger_ID Yes
$.oneOf[0].allOf[1].Payload.appointments[].LastTransferServiceFee-ATAccountsLedger_ID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].LastTransferServiceFee-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.appointments[].LastTransferServiceFee-ATAccountsLedger_ID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].LastTransferServiceFee-ATAccountsLedger_ID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].LatestTransfer-ATNotificationIntelligentTags_ID Yes
$.oneOf[0].allOf[1].Payload.appointments[].LatestTransfer-ATNotificationIntelligentTags_ID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].LatestTransfer-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.appointments[].LatestTransfer-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].LatestTransfer-ATNotificationIntelligentTags_ID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATNotificationIntelligentTags_ID Yes
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATNotificationIntelligentTags_ID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATNotificationIntelligentTags_ID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].SellerCustomerChat-ATNotificationIntelligentTags_ID Yes
$.oneOf[0].allOf[1].Payload.appointments[].SellerCustomerChat-ATNotificationIntelligentTags_ID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].SellerCustomerChat-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.appointments[].SellerCustomerChat-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].SellerCustomerChat-ATNotificationIntelligentTags_ID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].NoShow-ATAccountsLedger_ID Yes
$.oneOf[0].allOf[1].Payload.appointments[].NoShow-ATAccountsLedger_ID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].NoShow-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.appointments[].NoShow-ATAccountsLedger_ID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].NoShow-ATAccountsLedger_ID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATAccountsLedger_ID Yes
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATAccountsLedger_ID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATAccountsLedger_ID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATAccountsLedger_ID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].LocationNamestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_IDDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_ID.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_ID.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].Aliasstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].Timezonestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_Aliasstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_Namestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_CloseByCitySlug Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_CloseByCitySlug.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_CloseByCitySlug.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_Citystring Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_CityGroupCode Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_CityGroupCode.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_CityGroupCode.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_AppointmentTypeDescriptionstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].AppointmentDescriptorstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_AllowTransferServiceAddOnDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_AllowTransferServiceAddOn.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_AllowTransferServiceAddOn.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_TimeRangeUnitstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_StandardTransferFeeBasisPointsDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_StandardTransferFeeBasisPoints.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_StandardTransferFeeBasisPoints.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_LegacyTransferServiceFeeBasisPointsDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_LegacyTransferServiceFeeBasisPoints.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_LegacyTransferServiceFeeBasisPoints.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationInventoryType_Name Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationInventoryType_Name.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationInventoryType_Name.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].Headcount Yes
$.oneOf[0].allOf[1].Payload.appointments[].Headcount.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].Headcount.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.appointments[].Headcount.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].Headcount.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].Price Yes
$.oneOf[0].allOf[1].Payload.appointments[].Price.anyOf[0]DatabaseNumber YesNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.appointments[].Price.anyOf[0].oneOf[0]number Yes
$.oneOf[0].allOf[1].Payload.appointments[].Price.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].Price.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATOrderLists_ID Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATOrderLists_ID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATOrderLists_ID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATOrderLists_ID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATOrderLists_ID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATTransaction_ID Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATTransaction_ID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATTransaction_ID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATTransaction_ID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATTransaction_ID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATBids_ID Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATBids_ID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATBids_ID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATBids_ID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATBids_ID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATDiscussionPosts_ID Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATDiscussionPosts_ID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATDiscussionPosts_ID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATDiscussionPosts_ID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].ATDiscussionPosts_ID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].MyPlansAccessRolestring ["owner","shared"] Yes
$.oneOf[0].allOf[1].Payload.appointments[].CategoryReview-ATDiscussionBoards_ID_TraderPointsPerThread Yes
$.oneOf[0].allOf[1].Payload.appointments[].CategoryReview-ATDiscussionBoards_ID_TraderPointsPerThread.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].CategoryReview-ATDiscussionBoards_ID_TraderPointsPerThread.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].LocationReview-ATDiscussionBoards_ID_TraderPointsPerThread Yes
$.oneOf[0].allOf[1].Payload.appointments[].LocationReview-ATDiscussionBoards_ID_TraderPointsPerThread.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].LocationReview-ATDiscussionBoards_ID_TraderPointsPerThread.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].DetailStatement Yes
$.oneOf[0].allOf[1].Payload.appointments[].DetailStatement.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.appointments[].DetailStatement.anyOf[1] = false Yes
$.oneOf[0].allOf[1].Payload.appointments[].dateLabelstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].timeLabelstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].imageUrlstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].imageURL256string Yes
$.oneOf[0].allOf[1].Payload.appointments[].imageURL512string Yes
$.oneOf[0].allOf[1].Payload.appointments[].primaryColorstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].textColorstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].lastListedPriceHistoryIDinteger No
$.oneOf[0].allOf[1].Payload.appointments[].lastListedAmountCentsinteger No
$.oneOf[0].allOf[1].Payload.appointments[].lastListedAmountLabelstring No
$.oneOf[0].allOf[1].Payload.appointments[].lastListedAtstring No
$.oneOf[0].allOf[1].Payload.appointments[].lastListedDateLabelstring No
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0]object Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].mode = "detail" Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].customerSurveys Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].customerSurveys.anyOf[0]object Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].customerSurveys.anyOf[0].totalinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].customerSurveys.anyOf[0].submittedinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].customerSurveys.anyOf[0].urlstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].customerSurveys.anyOf[0].transactionIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].customerSurveys.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].appointmentIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].listingUUIDstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].accessobject Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].access.rolestring ["owner","shared","reviewer","guest","transfer-agent","submission"] Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].access.canViewFullboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].access.isOwnerboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].access.isSharedGuestboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].access.isReviewerboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].access.isUnlockedDetailboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].access.authorizedByShareCodeboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].access.readOnly = true No
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].locationobject Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].location.idinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].location.namestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].location.aliasstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].location.addressstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].location.googleMapsURLstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].location.cityLinestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].location.timezonestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].location.imageURLstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservationobject Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.refundStatusLabelstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.descriptorstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.inventoryNamestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.datestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.timestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.dateLabelstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.timeLabelstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.dateTimeLabelstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.partySizeLabelstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.checkInNamestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.emailstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.phonestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.detailStatementstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.purchaseSummarystring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.purchaseAmountFormattedstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.statusstring ["Draft","Submitted","In Review","Rejected","Private","Unlocked","Approved","Refunded","Transfer Requested","Transfer Failed","Transfer Failed But Unlocked","Standard Failed","Archived","In Transfer"] Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.headcountinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.customFieldsarray Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.customFields[]object No
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.customFields[].idinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.customFields[].labelstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.customFields[].descriptionstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.customFields[].typestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.customFields[].valuestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.isPastboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].peopleobject Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].people.ownerAliasstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].people.creatorAliasstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guestsReservationGuests Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[0]array Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1]object Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].shareURLstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].headcountinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].confirmedCountinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].pendingSlotsinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].itemsarray Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].items[]object No
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].items[].kindstring ["owner","shared"] Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].items[].namestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].items[].aliasstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].items[].statusstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].items[].lastSeenLabelstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reviewReservationReview Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[0]array Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[1]object Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[1].canReview = false Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[1].isActive = false Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2]object Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].revisionstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].canReview = true Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].isActive = true Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].needsBeginboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].isInProgressboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].isSelfReviewboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].reviewRewardEligibleboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].reviewRewardPointsinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].askingPriceSmallestUnitinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].reviewRewardFormattedstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].askingPriceFormattedstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].questionstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].respondByDatestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].respondByTimestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].respondByLabelstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].legacyReviewURLstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].bid Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].bid.anyOf[0]object Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].bid.anyOf[0].idinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].bid.anyOf[0].amountFormattedstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].bid.anyOf[0].discussionURLstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].bid.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].historyarray Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].history[]object No
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].history[].createdLabelstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].history[].statusstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].history[].descriptionstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].history[].descriptionHTMLstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].history[].reviewerAliasstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actionsReservationActions Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0]object Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].shareURLstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addTransferServiceCheckoutURLstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addTransferServicePriceLabelstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addTransferServiceLocationNamestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addTransferServiceInventoryNamestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addTransferServiceDateLabelstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addTransferServiceTimeLabelstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reportProblemURLstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].refundChatURLstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].refundChatV2URLstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].sellerChatURLstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].sellerChatV2URLstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].absoluteShareURLstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addServiceAppointmentIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addTransferServicePriceSmallestUnitinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].refundChatIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].sellerChatIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addServiceAvailableboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].manageAvailableboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reportInfractionAvailableboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellAvailableboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferServiceobject Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.visibleboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.requestAvailableboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.cancelAvailableboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.isRequestedboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.isInTransferboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.isCompletedboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.isFailedboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.appointmentIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.typestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.statusstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.listingUUIDstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.currentNamestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.requestedNamestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.requestedGivenNamestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.requestedFamilyNamestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.requestedByAliasstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.requestedAtstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.requestEndpointstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.cancelEndpointstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0]object Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].reviewRequestIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoardIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].boardIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetLocationIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].appointmentIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetTypestring ["user","location"] Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetRolestring ["buyer","seller","location"] Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0]object Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].idinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].boardIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].countinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].slugstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].namestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].citystring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].intentstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].callbackstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].unitLabelstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].selectedboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetDisplayNamestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationNamestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationAliasstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].titlestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].subtitlestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].promptstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].ctaLabelstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetUserIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetAliasstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetProfileURLstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedPostIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedPostURLstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].viewURLstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0]LocationReviewAction Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0]object Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].reviewRequestIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoardIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].boardIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetLocationIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].appointmentIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetTypestring ["user","location"] Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetRolestring ["buyer","seller","location"] Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0]object Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].idinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].boardIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].countinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].slugstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].namestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].citystring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].intentstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].callbackstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].unitLabelstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].selectedboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetDisplayNamestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationNamestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationAliasstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].titlestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].subtitlestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].promptstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].ctaLabelstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetUserIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetAliasstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetProfileURLstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostURLstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].viewURLstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1]object Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].reviewRequestIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoardIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].boardIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetLocationIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].appointmentIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetTypestring ["user","location"] Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetRolestring ["buyer","seller","location"] Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0]object Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].idinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].boardIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].countinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].slugstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].namestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].citystring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].cityGroupCodestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].intentstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].callbackstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].unitLabelstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingDescriptionstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].createsRegularBoardPostboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultRequestBoardboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultListingBoardboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingEnabledboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].selectedboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetDisplayNamestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationNamestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationAliasstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].titlestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].subtitlestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].promptstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].ctaLabelstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].completedboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellEndpointstring No
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellListingIDstring No
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellLocationNamestring No
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellInventoryNamestring No
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellDateLabelstring No
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellTimeLabelstring No
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellAppointmentIDinteger No
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellCurrentPriceSmallestUnitinteger No
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellMinPriceinteger No
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellMaxPriceinteger No
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellTransferFeeBasisPointsinteger No
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellRequiresReviewboolean No
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellSelfReviewAvailableboolean No
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellRelistOriginalboolean No
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellSameDayOffersarray No
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellSameDayOffers[]object No
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellSameDayOffers[].timeLabelstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellSameDayOffers[].priceLabelstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellSameDayOffers[].inventoryTypestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[1]array Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].copyobject Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].copy.titlestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].copy.descriptionstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[1] = false Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationActionsobject No
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellAvailableboolean Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellEndpointstring No
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellListingIDstring No
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellLocationNamestring No
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellInventoryNamestring No
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellDateLabelstring No
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellTimeLabelstring No
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellAppointmentIDinteger No
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellCurrentPriceSmallestUnitinteger No
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellMinPriceinteger No
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellMaxPriceinteger No
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellTransferFeeBasisPointsinteger No
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellRequiresReviewboolean No
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellSelfReviewAvailableboolean No
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellRelistOriginalboolean No
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellSameDayOffersarray No
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellSameDayOffers[]object No
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellSameDayOffers[].timeLabelstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellSameDayOffers[].priceLabelstring Yes
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellSameDayOffers[].inventoryTypestring Yes
$.oneOf[0].allOf[1].Payload.appointments[].sharePlanobject No
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.isShared = true Yes
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.sharePlanAttachmentIDinteger Yes
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinStateSharedPlanJoinState Yes
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinState.anyOf[0]object Yes
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinState.anyOf[0].status = "Unavailable" Yes
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinState.anyOf[0].canRequest = false Yes
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinState.anyOf[0].canManage = false Yes
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinState.anyOf[1]object Yes
[...]
